com.rscja.custom.interfaces

## Interface IRFIDWithUHFJieCe

- All Superinterfaces:
    IUHF, IUHFOfAndroidUart
  All Known Implementing Classes:
    RFIDWithUHFJieCe, RFIDWithUHFJieCe_qcom

      public interface IRFIDWithUHFJieCe
      extends IUHFOfAndroidUart

- - ### Field Summary

    - ### Fields inherited from interface com.rscja.deviceapi.interfaces.IUHF

      `Bank_EPC, Bank_RESERVED, Bank_TID, Bank_USER, LockBank_ACCESS, LockBank_EPC, LockBank_KILL, LockBank_TID, LockBank_USER, LockMode_LOCK, LockMode_OPEN, LockMode_PLOCK, LockMode_POPEN, UPDATE_UHF`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `inventoryTempTag_OnChipRSSI_TempeCode(int ant, int power)` 开始盘点温度标签，开启盘点标签成功之后调用 `uhfGetTempTagReceived_OnChipRSSI_TempeCode()`获取所有温度标签的信息。
    `boolean` | `inventoryTempTag(int ant, int power)` 开始盘点温度标签，开启盘点标签成功之后调用 `uhfGetTempTagReceived()`获取所有温度标签的所有信息。
    `java.lang.String` | `readCalibrationData(java.lang.String epc, int ant, int power)` 读取 Calibration Data
    `java.lang.String` | `readOnChipRSSI(java.lang.String epc, int ant, int power)` 读取 On-Chip RSSI
    `java.lang.String` | `readOnChipRSSIAndTempCode(java.lang.String epc, int ant, int power)` 读取 On-Chip RSSI+ Temp Code
    `java.lang.String` | `readSensorCode(java.lang.String epc, int ant, int power)` 读取 Sensor Code
    `java.lang.String` | `readTempertureCode(java.lang.String epc, int ant, int power)` 读取 Temperture Code
    `RFIDWithUHFJieCe.TemperatureTagInfo` | `uhfGetTempTagReceived_OnChipRSSI_TempeCode()` 获取温度标签数据,不包含calibrationData 、sensorCode的信息
    `RFIDWithUHFJieCe.TemperatureTagInfo` | `uhfGetTempTagReceived()` 获取温度标签的所有信息
    `boolean` | `writeCalibrationData(java.lang.String epc, int ant, int power, java.lang.String data)` 写Calibration数据

    - ### Methods inherited from interface com.rscja.deviceapi.interfaces.IUHFOfAndroidUart

      `getErrCode, getHardwareVersion, isPowerOn, setOnLowBatteryListener, setPowerOnBySystem, setUart`

    - ### Methods inherited from interface com.rscja.deviceapi.interfaces.IUHF

      `blockWriteData, eraseData, eraseData, factoryReset, free, generateLockCode, getConnectStatus, getCW, getEPCAndTIDUserMode, getFastInventoryMode, getFrequencyMode, getGen2, getProtocol, getRFLink, getTemperature, getVersion, init, inventorySingleTag, isInventorying, killTag, killTag, lockMem, lockMem, readData, readData, readTagFromBuffer, setConnectionStatusCallback, setCW, setEPCAndTIDMode, setEPCAndTIDUserMode, setEPCAndTIDUserMode, setEPCMode, setFastID, setFastInventoryMode, setFilter, setFreHop, setFrequencyMode, setGen2, setInventoryCallback, setProtocol, setRFLink, setTagFocus, startInventoryTag, stopInventory, uhfBlockPermalock, uhfJump2Boot, uhfJump2Boot, uhfStartUpdate, uhfStopUpdate, uhfUpdating, writeData, writeData, writeDataToEpc, writeDataToEpc`

- - ### Method Detail

    - #### readSensorCode

          java.lang.String readSensorCode(java.lang.String epc,
                                          int ant,
                                          int power)

      读取 Sensor Code
      Parameters:
        `epc` - epc数据
        `ant` - 天线号,目前只支持天线1
        `power` - 功率
      Returns:
        返回 Sensor Code数据

    - #### readCalibrationData

          java.lang.String readCalibrationData(java.lang.String epc,
                                               int ant,
                                               int power)

      读取 Calibration Data
      Parameters:
        `epc` - epc数据
        `ant` - 天线号,目前只支持天线1
        `power` - 功率
      Returns:
        返回Calibration Data数据

    - #### readOnChipRSSI

          java.lang.String readOnChipRSSI(java.lang.String epc,
                                          int ant,
                                          int power)

      读取 On-Chip RSSI
      Parameters:
        `epc` - epc数据
        `ant` - 天线号,目前只支持天线1
        `power` - 功率
      Returns:
        返回 On-Chip RSSI数据

    - #### readTempertureCode

          java.lang.String readTempertureCode(java.lang.String epc,
                                              int ant,
                                              int power)

      读取 Temperture Code
      Parameters:
        `epc` - epc数据
        `ant` - 天线号,目前只支持天线1
        `power` - 功率
      Returns:
        返回Temperture Code数据

    - #### readOnChipRSSIAndTempCode

          java.lang.String readOnChipRSSIAndTempCode(java.lang.String epc,
                                                     int ant,
                                                     int power)

      读取 On-Chip RSSI+ Temp Code
      Parameters:
        `epc` - epc数据
        `ant` - 天线号,目前只支持天线1
        `power` - 功率
      Returns:
        返回 On-Chip RSSI+ Temp Code数据

    - #### inventoryTempTag

          boolean inventoryTempTag(int ant,
                                   int power)

      开始盘点温度标签，开启盘点标签成功之后调用 `uhfGetTempTagReceived()`获取所有温度标签的所有信息。
      Parameters:
        `ant` - 天线号,目前只支持天线1
        `power` - 功率
      Returns:
        true:开始盘点成功，false:开始盘点失败

    - #### uhfGetTempTagReceived

          RFIDWithUHFJieCe.TemperatureTagInfo uhfGetTempTagReceived()

      获取温度标签的所有信息
      Returns:
        返回温度标签信息

    - #### writeCalibrationData

          boolean writeCalibrationData(java.lang.String epc,
                                       int ant,
                                       int power,
                                       java.lang.String data)

      写Calibration数据
      Parameters:
        `epc` - epc数据
        `ant` - 天线号,目前只支持天线1
        `power` - 功率
        `data` - 要写入的数据
      Returns:
        tru:成功 ,false:失败

    - #### inventoryTempTag_OnChipRSSI_TempeCode

          boolean inventoryTempTag_OnChipRSSI_TempeCode(int ant,
                                                        int power)

      开始盘点温度标签，开启盘点标签成功之后调用 `uhfGetTempTagReceived_OnChipRSSI_TempeCode()`获取所有温度标签的信息。
      Parameters:
        `ant` - 天线号,目前只支持天线1
        `power` - 功率
      Returns:
        true:开始盘点成功，false:开始盘点失败

    - #### uhfGetTempTagReceived_OnChipRSSI_TempeCode

          RFIDWithUHFJieCe.TemperatureTagInfo uhfGetTempTagReceived_OnChipRSSI_TempeCode()

      获取温度标签数据,不包含calibrationData 、sensorCode的信息
      Returns:
        返回温度标签信息